New User Assigned to Existing Group
    • Dark
      Light

    New User Assigned to Existing Group

    • Dark
      Light

    Article summary

    When a new user is added to an existing group that is already assigned to the Entra SCIM App, Entra initiates provisioning to create the user in Campaign Manager and assign the appropriate group-based role.


    • Check for User Existence via GET /Users: Entra sends a GET /Users request to determine whether the user already exists in Campaign Manager.

    • Create User via POST /Users: If the user does not exist, Entra sends a POST /Users request to create the user in Campaign Manager. Application creates the user and assigns the provided group as the user’s initial role.

    • Add User to Group via PATCH /Groups/{id}: Entra then sends a PATCH /Groups/{id} request to confirm group membership:

      {
        "op": "Add",
        "path": "members",
        "value": [{ "value": "<userEmail>" }]
      }
      

      Campaign Manager updates the user's Roles field:

      • If the user only has a placeholder role, it is replaced with the group name.

      • If the user already has roles, the group is appended.


    Was this article helpful?

    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.